tpm2_nvread(8)

NAME
tpm2_nvread - read content from NV index, if any passwd option is missing, assume NULL.

SYNOPSIS
tpm2_nvread[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --index|--authHandle|--handlePasswd|--size|--offset|--passwdInHex| ]

read content from NV index, if any passwd option is missing, assume NULL.

DESCRIPTION
tpm2_nvread read content from NV index, if any passwd option is missing, assume NULL.

OPTIONS

-x ,--index
    specifies the index of the NV area.

-a ,--authHandle
    specifies the handle used to authorize: 0x40000001 (TPM_RH_OWNER) 0x4000000C (TPM_RH_PLATFORM) {NV_INDEX_FIRST:NV_INDEX_LAST}

-P ,--handlePasswd
    specifies the password of authHandle.

-s ,--size
    specifies the number of octets to read.

-o ,--offset
    specifies octet offset into the area This value shall be less than or equal to the size of the nvIndex data.

-X ,--passwdInHex
    passwords given by any options are hex format

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_nvread

    tpm2_nvread -x 0x1500016 -a 0x40000001 -P passwd -s 32 -o 0
    tpm2_nvread -x 0x1500016 -a 0x40000001 -P 1a1b1c -s 32 -o 0 -X